Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1589028 - Openstack Volume Snapshots are appearing when we try to provision a instance via Lifecycle.
Summary: Openstack Volume Snapshots are appearing when we try to provision a instance ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.10.0
Assignee: Sam Lucidi
QA Contact: Jadh
URL:
Whiteboard:
Depends On:
Blocks: 1595269
TreeView+ depends on / blocked
 
Reported: 2018-06-08 09:09 UTC by Saurabh Heda
Modified: 2019-02-11 14:04 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1596314 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:04:32 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description Saurabh Heda 2018-06-08 09:09:11 UTC
Description of problem:

Openstack Volume Snapshots are appearing when we try to provision a instance via Lifecycle.

Version-Release number of selected component (if applicable):

Red Hat CloudForms 5.9.1.2

How reproducible:
Always

Steps to Reproduce:
1) Login to cloudforms operational portal via Normal user (Other than admin).
2) Navigate to Compute -> Cloud -> Instances
3) Select Lifecycle -> Provision Instance
4) We will only see list of volume snapshots instead of templates.

Actual results:

It is showing list of bootable volume snapshots.

Expected results:

CloudForms should display list of templates, bootable volumes & bootable volumes snapshots.

Comment 6 Greg McCullough 2018-06-11 15:06:10 UTC
Re-assigning to Providers team to evaluate.

Comment 7 Marek Aufart 2018-06-19 15:17:13 UTC
I believe that provisioning VM from Volume Snapshot is a feature introduced in 4.6/5.9.

Comment 8 Marek Aufart 2018-06-19 15:19:02 UTC
Sorry, didn't get that other sources for provision are missing in this case.

Comment 10 Sam Lucidi 2018-06-26 16:46:20 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1589028 fixes the tenancy scoping issue.

Comment 12 CFME Bot 2018-06-28 08:49:27 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/eda85c2f47505de8428e7d3a964197b6a91a2582
commit eda85c2f47505de8428e7d3a964197b6a91a2582
Author:     Sam Lucidi <slucidi@redhat.com>
AuthorDate: Tue Jun 26 12:34:02 2018 -0400
Commit:     Sam Lucidi <slucidi@redhat.com>
CommitDate: Tue Jun 26 12:34:02 2018 -0400

    Fix tenant associations on VolumeSnapshotTemplates

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1589028

 app/models/manageiq/providers/openstack/inventory/collector/cloud_manager.rb | 5 +-
 app/models/manageiq/providers/openstack/inventory/parser/cloud_manager.rb | 2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

Comment 15 CFME Bot 2018-06-29 13:05:14 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/e9a51db31529a6e09cd81e03175b9103d14e61f3
commit e9a51db31529a6e09cd81e03175b9103d14e61f3
Author:     Sam Lucidi <slucidi@redhat.com>
AuthorDate: Tue Jun 26 12:34:02 2018 -0400
Commit:     Sam Lucidi <slucidi@redhat.com>
CommitDate: Tue Jun 26 12:34:02 2018 -0400

    Fix tenant associations on VolumeSnapshotTemplates

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1589028

 app/models/manageiq/providers/openstack/inventory/collector/cloud_manager.rb | 5 +-
 app/models/manageiq/providers/openstack/inventory/parser/cloud_manager.rb | 2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

Comment 16 Jadh 2018-11-15 14:07:29 UTC
Verified on 5.10.0.24


Note You need to log in before you can comment on or make changes to this bug.